
// Vexar's Sky Test1
 
textures/vexar/vexarsky

{
	qer_editorimage textures/vexar/vexarsky.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	skyparms env/vexarsky	512 -

	q3map_surfacelight 100
			
	{
		map textures/vexar/skybluesky.tga
		tcMod scroll 0.01 0
		tcMod scale 2 2
	}

	
	{
		map textures/vexar/cloud1a.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.002 0.005
		tcMod scale 2 2
	}

}


textures/vexar/vexwater_250
{
		
		qer_trans .5
		qer_editorimage textures/vexar/vexwater1.tga
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nolightmap
		q3map_surfacelight 250			

		cull disable
		tesssize 128
		cull disable
		deformVertexes wave 128 triangle .01 .01 .01 0.1
		
		

		{
			map textures/vexar/vexwater1.tga
			blendfunc GL_one GL_src_color	
			tcMod scale .5 .5
			tcGen environment
			tcMod scroll .01 .01
		}
	
		{
			map textures/vexar/vexwater2.tga
			blendfunc GL_DST_COLOR GL_Zero
			tcMod turb .5 .5` 0 .01
			tcMod scale 1 1
			tcMod scroll -.025 .02
		}
}


textures/vexar/vexwater2_125
{
		
		qer_trans .5
		qer_editorimage textures/vexar/vexwater1.tga
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nolightmap
		q3map_surfacelight 125			

		cull disable
		tesssize 128
		cull disable
		deformVertexes wave 128 triangle .05 .05 .05 0.5
		
		
	
		{
			map textures/vexar/vexwater2.tga
			blendfunc GL_DST_COLOR GL_Zero
			tcMod turb .5 .5` 0 .01
			tcMod scale .25 .25
			tcMod scroll -.025 .02
		}

}











textures/vexar/jumparrow1

	{

		
		qer_editorimage textures/vexar/jumparrow1.tga
//		surfaceparm trans
		surfaceparm nonsolid
		q3map_surfacelight 500			
		
		light 1	
		{
			map $lightmap
			rgbGen identity
		}

//		deformVertexes wave 100 sin 3 0 0 0
		{
			map textures/vexar/jumparrow1.tga
			blendfunc GL_ONE GL_src_color
			tcGen environment
			tcMod turb 0 0.2 0 1
		}

		{
	
			map textures/vexar/jumparrow2.tga
			blendfunc GL_dst_color GL_one
			tcMod scroll -.025 .025
		}

	}




textures/vexar/vexlight1blue_4k
{
	qer_editorimage textures/vexar/vexlight1blue_4k.tga
	q3map_lightimage textures/vexar/vexlight1blue.blend.tga
	q3map_surfacelight 4000
	light 1
//	surfaceparm nomarks
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/vexar/vexlight1blue_4k.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/vexar/vexlight1blue.blend.tga
		rgbGen wave sin 0.25 0.25 0 .2
		blendFunc GL_ONE GL_ONE
	}

}





textures/vexar/blue_energy

	{
		
		qer_editorimage textures/vexar/vexelectric.tga
		surfaceparm trans
//		surfaceparm nonsolid
//		surfaceparm nolightmap
//		q3map_surfacelight 150	
		cull disable
 		

//		light 1
//		surfaceparm nomarks
	
//		{
//			map $lightmap
//			rgbGen identity
//		}

		{
			map textures/vexar/vexelectric.tga
						
			blendfunc GL_ONE GL_ONE
			tcGen environment
			tcMod turb 0.1 0.2 0.3 1
			tcMod scroll -1 1
			rgbGen identity
				
		}

		{
	
			map textures/vexar/vexelectricslime.tga
			blendfunc GL_ONE GL_ONE
			tcMod scroll -2 .25
			
		}

	}

textures/vexar/fog_vexar1
{
qer_editorimage textures/vexar/fog_vexar1.tga
qer_nocarve
surfaceparm	trans
surfaceparm	nonsolid
surfaceparm	fog
surfaceparm	nolightmap
fogparms ( .100 .100 .125 ) 500

}


textures/vexar/title
{
surfaceparm	nolightmap

	{
		map textures/vexar/title.tga
		blendfunc GL_ONE GL_ONE
	}
}




textures/vexar/zap_scroll_vex_red
{
        q3map_surfacelight	1000
        surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_editorimage textures/sfx/zap_scroll_vex_red.tga
	cull none
	
	{
		map textures/sfx/zap_scroll_vex_red.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle .8 2 0 7
                tcMod scroll 0 1
	}	
        {
		map textures/sfx/zap_scroll_vex_red.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 5
                tcMod scale  -1 1
                tcMod scroll 0 1
	}	
        {
		map textures/sfx/zap_scroll2_vex_red.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 6.3
                tcMod scale  -1 1
                tcMod scroll 2 1
	}	
        {
		map textures/sfx/zap_scroll2_vex_red.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 7.7
                tcMod scroll -1.3 1
	}	
}

//electrical effects for the Gateway, created by Vexar January 1, 2000
//

textures/vexar/zap_scroll_vex_red
{
        q3map_surfacelight	1000
        surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_editorimage textures/vexar/zap_scroll_vex_red.tga
	cull none
	
	{
		map textures/vexar/zap_scroll_vex_red.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle .8 2 0 7
                tcMod scroll 0 1
	}	
        {
		map textures/vexar/zap_scroll_vex_red.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 5
                tcMod scale  -1 1
                tcMod scroll 0 1
	}	
        {
		map textures/vexar/zap_scroll2_vex_red.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 6.3
                tcMod scale  -1 1
                tcMod scroll 2 1
	}	
        {
		map textures/vexar/zap_scroll2_vex_red.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 7.7
                tcMod scroll -1.3 1
	}	
}

textures/vexar/zap_scroll_vex_blue
{
        q3map_surfacelight	1000
        surfaceparm	trans
	surfaceparm nomarks
	surfaceparm nolightmap
	qer_editorimage textures/vexar/zap_scroll_vex_blue.tga
	cull none
	
	{
		map textures/vexar/zap_scroll_vex_blue.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle .8 2 0 7
                tcMod scroll 0 1
	}	
        {
		map textures/vexar/zap_scroll_vex_blue.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 5
                tcMod scale  -1 1
                tcMod scroll 0 1
	}	
        {
		map textures/vexar/zap_scroll2_vex_blue.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 6.3
                tcMod scale  -1 1
                tcMod scroll 2 1
	}	
        {
		map textures/vexar/zap_scroll2_vex_blue.tga
		blendFunc GL_ONE GL_ONE
                rgbgen wave triangle 1 1.4 0 7.7
                tcMod scroll -1.3 1
	}	
}


textures/vexar/railgun_light
{
	qer_editorimage textures/vexar/railgun.tga
	q3map_lightimage textures/vexar/railgun.tga
	q3map_surfacelight 500
	light 1
//	surfaceparm nomarks
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/vexar/railgun.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/vexar/railgun.tga
		rgbGen wave sin 0.25 0.25 0 .2
		blendFunc GL_ONE GL_ONE
	}

}

textures/vexar/lightning_light
{
	qer_editorimage textures/vexar/lightning_gun.tga
	q3map_lightimage textures/vexar/lightning_gun.tga
	q3map_surfacelight 500
	light 1
//	surfaceparm nomarks
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/vexar/lightning_gun.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/vexar/lightning_gun.tga
		rgbGen wave sin 0.25 0.25 0 .2
		blendFunc GL_ONE GL_ONE
	}

}


textures/vexar/rocket_light
{
	qer_editorimage textures/vexar/rocket.tga
	q3map_lightimage textures/vexar/rocket.tga
	q3map_surfacelight 500
	light 1
//	surfaceparm nomarks
	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/vexar/rocket.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/vexar/rocket.tga
		rgbGen wave sin 0.25 0.25 0 .2
		blendFunc GL_ONE GL_ONE
	}

}